<?xml version="1.0"?>
<tweaks>
     <tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload/deagle"/>
            <keys/>
            <key at="trigger" trigger="wp_g17_clip_slide_in"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_deag_mag_in"/>
        </target>
    </tweak>
    
    <tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload/deagle"/>
            <keys/>
            <key at="trigger" trigger="wp_g17_clip_in_contact"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_deag_mag_tap"/>
        </target>
    </tweak>
	
	<tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload/deagle"/>
            <keys/>
            <key at="trigger" trigger="wp_g17_lever_release"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_deag_slide_release"/>
        </target>
    </tweak>
	
	<tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload/deagle"/>
            <keys/>
            <key at="trigger" trigger="wp_g17_clip_slide_out"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_deag_mag_out"/>
        </target>
    </tweak>
	<tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload_not_empty/deagle"/>
            <keys/>
            <key at="trigger" trigger="wp_g17_clip_slide_in"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_deag_mag_in"/>
        </target>
    </tweak>
    
    <tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload_not_empty/deagle"/>
            <keys/>
            <key at="trigger" trigger="wp_g17_clip_in_contact"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_deag_mag_tap"/>
        </target>
    </tweak>
	
	<tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload_not_empty/deagle"/>
            <keys/>
            <key at="trigger" trigger="wp_g17_clip_slide_out"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_deag_mag_out"/>
        </target>
    </tweak>
	
	<tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload/saiga"/>
            <keys/>
            <key at="trigger" trigger="wp_ak47_lever_pull"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_saiga_back"/>
        </target>
    </tweak>
	
	<tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload/saiga"/>
            <keys/>
            <key at="trigger" trigger="wp_ak47_lever_release"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_saiga_forward"/>
        </target>
    </tweak>
	
	<tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload/ppk"/>
            <keys/>
            <key at="trigger" trigger="wp_g17_clip_slide_in"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_ppk_magin"/>
        </target>
    </tweak>
	
    <tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload/ppk"/>
            <keys/>
            <key at="trigger" trigger="wp_g17_clip_slide_out"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_ppk_magout"/>
        </target>
    </tweak>
	
	<tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload/ppk"/>
            <keys/>
            <key at="trigger" trigger="wp_g17_lever_release"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_ppk_forward"/>
        </target>
    </tweak>
	
	<tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload_not_empty/ppk"/>
            <keys/>
            <key at="trigger" trigger="wp_g17_clip_slide_in"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_ppk_magin_full"/>
        </target>
    </tweak>
	
    <tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload_not_empty/ppk"/>
            <keys/>
            <key at="trigger" trigger="wp_g17_clip_slide_out"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_ppk_magout_full"/>
        </target>
    </tweak>
	
	<tweak version="2" name="anims/fps/fps_spawn" extension="animation_states">
        <search>
            <xml/>
            <state name="fps/reload_not_empty/aug"/>
            <keys/>
            <key at="trigger" trigger="wp_aug_lever_pull"/>
        </search>
        <target mode="attributes">
            <attr name="param1" value="wp_g17_clip_in_contact"/>
        </target>
    </tweak>
</tweaks>